EM.Presentation/Areas/Tenant/Models/Evenementmodel.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace EM.Presentation.Areas.Tenant.Models
{
    public class Evenementmodel
    {
        [Key]
        public int EventId { get; set; }
        [Required]
        public string TenantId { get; set; }
        [Required(ErrorMessage = "The event name must be filled")]
        public string Name { get; set; }
        [Required(ErrorMessage = "The event Picture must be added")]
        public string Picture { get; set; }
        [Required(ErrorMessage = "The event theme must be filled")]
        public string Theme { get; set; }
        [Required(ErrorMessage = "The event location must be filled")]
        public string Location { get; set; }
        [Required(ErrorMessage = "The event Start Date must be filled")]
        [DataType(DataType.Date)]
        public DateTime StartDate { get; set; }
        [Required(ErrorMessage = "The event End Date must be filled")]
        [DataType(DataType.Date)]
        public DateTime EndDate { get; set; }

        //public virtual ICollection<Tasks> Tasks { get; set; }
    }
}

EM.Presentation/Areas/Tenant/Models/tasksmodel.cs
using EM.Domain.Entities;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace EM.Presentation.Areas.Tenant.Models
{
    public class tasksmodel
    {
        [Key]
        [Column(Order = 0)]
        public int idTasks { get; set; }

        [ForeignKey("Evenement")]
        [Column(Order = 1)]

        public int EventId { get; set; }

        //[Key]
        [ForeignKey("User")]
        [Column(Order = 2)]
        public string Id { get; set; }

        public string MembreEmail { get; set; }

        public string type { get; set; }

        public virtual Evenement Evenement { get; set; }
        public virtual User User { get; set; }

        public IEnumerable<SelectListItem> users { get; set; }
        public IEnumerable<SelectListItem> Evenements { get; set; }
    }
}

EM.Presentation/Areas/Tenant/Controllers/EventWebApiController.cs
using EM.Domain.Entities;
using EM.Presentation.Areas.Tenant.Models;
using EM.Service;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;

namespace EM.Presentation.Areas.Tenant.Controllers
{
    public class EventWebApiController : ApiController
    {

        Evenement_service MyService;


        private Evenement_service ps = new Evenement_service();
        
        public EventWebApiController()
        {
            MyService = new Evenement_service();
            
        }

        //public List<Evenementmodel> Index()
        //{
        //    List<Evenement> events = ps.GetMany().ToList();
        //    List<Evenementmodel> pubXml = new List<Evenementmodel>();
        //    foreach (Evenement p in events)
        //    {
        //        pubXml.Add(new Evenementmodel
        //        {
        //            EndDate=p.EndDate,
        //            EventId=p.EventId,
        //            Location=p.Location,
        //            Name=p.Name,
        //            Picture=p.Picture,
        //            StartDate=p.StartDate,
        //            Theme=p.Theme


        //        });
        //    }
        //    return pubXml;
        //}

        // GET api/<controller>
        public List<Evenementmodel> Get()
        {
            List<Evenement> events = ps.GetMany().ToList();
            List<Evenementmodel> pubXml = new List<Evenementmodel>();
            foreach (Evenement p in events)
            {
                pubXml.Add(new Evenementmodel
                {

                    EndDate = p.EndDate,
                    EventId = p.EventId,
                    Location = p.Location,
                    Name = p.Name,
                    Picture = p.Picture,
                    StartDate = p.StartDate,
                    Theme = p.Theme


                });
            }
            return pubXml;
        }

        // GET api/<controller>/5
        public string Get(int id)
        {
            return "value";
        }

        // POST api/<controller>
        [HttpPost]

        [Route("api/Create")]
        public Evenement Post(Evenement e)
        {
            
            MyService.Add(e);
            MyService.Commit();
            return e;
        }


        // PUT api/<controller>/5
        [HttpPut]

        [Route("api/Update")]
        public Evenement Put(int id, Evenement e)
        {
            Evenement p = MyService.GetById(id);
            p.EndDate = e.EndDate;
            p.Location = e.Location;
            p.Name = e.Name;
            p.Picture = e.Picture;
            p.StartDate = e.StartDate;
            p.Theme = e.Theme;
            
            
            MyService.Update(p);
            MyService.Commit();
            return p;

        }

        
        
        public IHttpActionResult Delete(int id)
        {
            Evenement comp = MyService.GetById(id);

            MyService.Delete(comp);
            MyService.Commit();

            return Ok(comp);
        }
    }
}

EM.Presentation/Areas/Tenant/Controllers/TasksController.cs
using EM.Domain.Entities;
using EM.Presentation.Areas.Tenant.Models;
using EM.Service;
using EM.Service.UserService;
using Microsoft.AspNet.Identity.Owin;
using Microsoft.Owin.Security;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;

namespace EM.Presentation.Areas.Tenant.Controllers
{
    public class TasksController : AppController
    {
        IUserService UserService;
        private ApplicationUserManager _userManager;
        private ApplicationRoleManager _roleManager;
        private EM.Domain.Entities.Tenant _tenant;
        Evenement_service ss = new Evenement_service();
        serviceTasks sa = new serviceTasks();


        public TasksController()
        {
            UserService = new UserService();
        }
        public TasksController(ApplicationUserManager userManager, ApplicationRoleManager roleManager):base()
        {
            UserManager = userManager;
            RoleManager = roleManager;
        }

        public EM.Domain.Entities.Tenant Current_Tenant
        {
            get
            {
                return _tenant ?? base.current_tenant;
            }
            private set
            {
                _tenant = value;
            }
        }
        public ApplicationUserManager UserManager
        {
            get
            {
                return _userManager ?? HttpContext.GetOwinContext().GetUserManager<ApplicationUserManager>();
            }
            private set
            {
                _userManager = value;
            }
        }

        public IAuthenticationManager AuthenticationManager
        {
            get
            {
                return HttpContext.GetOwinContext().Authentication;
            }
        }

        public ApplicationRoleManager RoleManager
        {
            get
            {
                return _roleManager ?? Request.GetOwinContext().GetUserManager<ApplicationRoleManager>();
            }
            private set
            {
                _roleManager = value;
            }
        }

        /********* Actions Starts Heres *******/


        public ActionResult Index()
        {
            var tasks = sa.GetMany(null, null, t => t.User);
            foreach (EM.Domain.Entities.Tasks t in tasks)
            {
                var vevent = new Evenement();
                vevent = ss.GetById(t.EventId);
                t.Evenement = vevent; 
            }
            return View(tasks);
        }

        // GET: Tasks/Details/5
        public ActionResult Details(int id)
        {
            /*if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            } */
            Tasks conge = sa.GetById(id);
            if (conge == null)
            {
                return HttpNotFound();
            }
            return View(conge);
            ////////////////////////////////////////////////////////

        }

        // GET: Tasks/Create
        public ActionResult Create()
        {
            var cat = UserService.GetMany(u => u.TenantId == Current_Tenant.TenantId);
            var cad = ss.GetMany();
            tasksmodel pm = new tasksmodel();
            pm.users = cat.Select(p => new SelectListItem
            {
                Text = p.UserName,
                Value = p.Id
            });
            pm.Evenements = cad.Select(y => new SelectListItem
            {
                Text = y.Theme,
                Value = y.EventId.ToString()
            });

            return View(pm);
        }

        // POST: Tasks/Create
        [HttpPost]
        public ActionResult Create(tasksmodel pm)
        {
            Tasks p = new Tasks();
            p.type = pm.type;
            p.Id = pm.Id;
            p.EventId = pm.EventId;
            //2eme etape
            //prods.Add(p);
            //3eme etape
            //Session["Products"] = prods;
            sa.Add(p);
            sa.Commit();
            //enregistrer l'image

            return RedirectToAction("Index");
        }

        // GET: Tasks/Edit/5
        public ActionResult Edit(int id)
        {
            Tasks p = sa.GetById(id);

            //    Domain.Entities.employe cat = se.GetById(id);

            tasksmodel pm = new tasksmodel();


            var congeModel = new tasksmodel
            {
                idTasks = p.idTasks,
                type = p.type,
                EventId = p.EventId,
                User = p.User


            };

            var emp = UserService.GetMany();
            var emp1 = ss.GetMany();

            tasksmodel pm1 = new tasksmodel();

            pm1.users = emp.Select(pp => new SelectListItem
            { Text = pp.UserName, Value = pp.Id.ToString() });

            congeModel.users = pm1.users;

            pm1.Evenements = emp1.Select(pp => new SelectListItem
            { Text = pp.Theme, Value = pp.EventId.ToString() });

            congeModel.Evenements = pm1.Evenements;

            return View(congeModel);

        }

        // POST: Tasks/Edit/5
        [HttpPost]
        public ActionResult Edit(int id, tasksmodel congemodel)
        {
            try
            {
                var conge = sa.GetMany().Where(c => c.idTasks.Equals(id)).FirstOrDefault();

                // TODO: Add update logic here
                conge.idTasks = congemodel.idTasks;
                conge.type = congemodel.type;
                conge.User.Id = congemodel.User.Id;
                conge.EventId = congemodel.EventId;




                sa.Update(conge);
                Evenement e = new Evenement();
                var emp = ss.GetMany().Where(c => c.EventId.Equals(congemodel.EventId)).FirstOrDefault();


                sa.Commit();
                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        // GET: Tasks/Delete/5
        public ActionResult Delete(int id)
        {
            var Conge = sa.GetMany().Where(c => c.idTasks.Equals(id)).FirstOrDefault();
            sa.Delete(Conge);
            sa.Commit();
            return RedirectToAction("Index");
        }

        // POST: Tasks/Delete/5
        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            try
            {
                var Conge = sa.GetMany().Where(c => c.idTasks.Equals(id)).FirstOrDefault();
                sa.Delete(Conge);
                sa.Commit();
                // TODO: Add delete logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }
    }
}

EM.Presentation/Controllers/API/TenantController.cs
using EM.Data;
using EM.Presentation.Areas.Tenant;
using EM.Presentation.Areas.Tenant.Helpers;
using EM.Presentation.Areas.Tenant.Models;
using EM.Presentation.Models;
using Microsoft.AspNet.Identity;
using Microsoft.AspNet.Identity.Owin;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Security.Claims;
using System.Threading.Tasks;
using System.Web.Http;

namespace EM.Presentation.Controllers.API
{
    [RoutePrefix("api/tenant")]
    public class TenantController : RestController
    {

        [Authorize(Roles = "Administrator")]
        //[AllowAnonymous]
        [Route("users")]
        public IHttpActionResult GetUsers()
        {
            return Ok(this.UserService.GetMany(null, null, u => u.Tenant).ToList().Select(u => this.TheModelFactory.Create(u)));
        }

        [Authorize(Roles ="President")]
        [Route("user/{id:guid}", Name = "GetUserById")]
        public async Task<IHttpActionResult> GetUser(string Id)
        {
            var user = await UserManager.FindByIdAsync(Id);
                                                        

            //user.TenantId = this.current_tenant.TenantId;

            if (user != null)
            {
                return Ok(this.TheModelFactory.Create(user));
            }

            return NotFound();

        }

        [Authorize]
        [Route("user/{email}")]
        public async Task<IHttpActionResult> GetUserByName(string email)
        {
            var user = await this.UserManager.FindByEmailAsync(email);


            if (user != null)
            {
                return Ok(this.TheModelFactory.Create(user));
            }

            return NotFound();

        }
        [AllowAnonymous]
        [Route("create")]
        public async Task<IHttpActionResult> CreateUser(CreateUserBindingModel createUserModel)
        {
            if (!ModelState.IsValid)
            {
                return BadRequest(ModelState);
            }

            var user = new ApplicationUser();

            if (createUserModel.TenantName != null)
            {
                user.Email = createUserModel.Email;
                user.UserName = createUserModel.Email;
                user.Tenant = new EM.Domain.Entities.Tenant() { TenantName = createUserModel.TenantName };

            }
            else
            {
                user.Email = createUserModel.Email;
                user.UserName = createUserModel.Email;
            }

            IdentityResult addUserResult = await this.UserManager.CreateAsync(user, createUserModel.Password);

            if (!addUserResult.Succeeded)
            {
                return GetErrorResult(addUserResult);
            }

                        if(user.Tenant!= null)
            {
                await UserManager.AddClaimAsync(user.Id, new Claim("Active", "pending"));
                await UserManager.AddToRoleAsync(user.Id, RoleNames.ROLE_President);
            }
            else
            {
                await UserManager.AddClaimAsync(user.Id, new Claim("Active", "actived"));
                await UserManager.AddToRoleAsync(user.Id, RoleNames.ROLE_Participant);
            }
            

            Uri locationHeader = new Uri(Url.Link("GetUserById", new { id = user.Id }));

            return Created(locationHeader, TheModelFactory.Create(user));
        }

        [Authorize(Roles = "President,Organizer")]
        [Route("changepass")]
        public async Task<IHttpActionResult> ChangePassword(ChangePasswordBindingModel model)
        {
            if (!ModelState.IsValid)
            {
                return BadRequest(ModelState);
            }

            IdentityResult result = await this.UserManager.ChangePasswordAsync(User.Identity.GetUserId(), model.OldPassword, model.NewPassword);

            if (!result.Succeeded)
            {
                return GetErrorResult(result);
            }

            return Ok();
        }

        [Authorize(Roles = "Administrator")]
        [Route("reject/{id:guid}")]
        public async Task<IHttpActionResult> RejectTenant(string id)
        {
 
            //Only SuperAdmin or Admin can delete users (Later when implement roles)
 
            var appUser = await this.UserManagerApi.FindByIdAsync(id);
 
            if (appUser != null)
            {
                IdentityResult result = await this.UserManagerApi.DeleteAsync(appUser);
 
                if (!result.Succeeded)
                {
                    return GetErrorResult(result);
                }
 
                return Ok();
 
            }
 
            return NotFound();
          
        }
        [Authorize(Roles = "Administrator")]
        [Route("activation/{id:guid}")]
        public async Task<IHttpActionResult> ValidateTenant(string id)
        {
            ApplicationUser user = UserService.GetById(id) as ApplicationUser;
            if (user != null)
            {
                var claim = user.Claims.FirstOrDefault(c => c.ClaimType.Equals("Active"));
                user.Claims.Remove(claim);
                UserManagerApi.AddClaim(user.Id, new System.Security.Claims.Claim("Active", "actived"));
                UserService.Update(user);
                UserService.Commit();
                return Ok();
            }
            return NotFound();
            
        }

    }
}

EM.Presentation/Areas/Tenant/Views/Shared/_CreateOrganizer.cshtml
@model EM.Presentation.Areas.Tenant.Models.RegisterOrganizerViewModel

@using (Html.BeginForm("CreateOrganizer", "Tenant", new { area = "Tenant" }, FormMethod.Post, new { role = "form" }))
{
    @Html.AntiForgeryToken()
                        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                        <div class="card-body">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">
                                        <i class="material-icons">face</i>
                                    </span>
                                </div>
                                @Html.TextBoxFor(m => m.Email, new { @class = "form-control", @placeholder = "Email..." })
                                @Html.ValidationMessageFor(m => m.Email, "", new { @class = "text-danger" })
                            </div>
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">
                                        <i class="material-icons">lock_outline</i>
                                    </span>
                                </div>
                                @Html.PasswordFor(m => m.Password, new { @class = "form-control", @placeholder = "Password..." })
                                @Html.ValidationMessageFor(m => m.Password, "", new { @class = "text-danger" })
                            </div>
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">
                                        <i class="material-icons">lock_outline</i>
                                    </span>
                                </div>
                                @Html.PasswordFor(m => m.ConfirmPassword, new { @class = "form-control", @placeholder = "Confirm Password..." })
                                @Html.ValidationMessageFor(m => m.ConfirmPassword, "", new { @class = "text-danger" })
                            </div>
                        </div>
                        <div class="footer text-center">
                            <input type="submit" value="Create" class="btn btn-primary btn-link btn-wd btn-lg">
                        </div>
}

EM.Presentation/Areas/Tenant/Views/Shared/_Header.cshtml
@using Microsoft.AspNet.Identity
@if (Request.IsAuthenticated)
{
    using (Html.BeginForm("LogOff", "Tenant", new { area = "Tenant" } , FormMethod.Post, new { id = "logoutForm", @class = "navbar-right" }))
    {
        @Html.AntiForgeryToken()
        <div class="collapse navbar-collapse">
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    @Html.ActionLink("Hello " + User.Identity.GetUserName() + "!", "Index", "Manage", routeValues: null, htmlAttributes: new { title = "Manage", @class = "nav-link" })
                </li>
                @if (User.IsInRole("President") | User.IsInRole("Organizer"))
                {
                    <li class="active nav-item">
                        <a href="@Url.Action("Index", "Tenant", new { area = "Tenant"})" class="nav-link">
                            <i class="material-icons">dashboard</i> Dashboard
                        </a>
                    </li>
                }
                else if (User.IsInRole("Administrator"))
                {
                    <li class="active nav-item">
                        <a href="@Url.Action("TenantValidation", "Tenant", new { area = "Tenant" })" class="nav-link">
                            <i class="material-icons">dashboard</i> Dashboard
                        </a>
                    </li>
                }
                else
                {
                    <li class="active nav-item">
                        <a href="@Url.Action("Profile", "Participant")" class="nav-link">
                            <i class="material-icons">dashboard</i> Profile
                        </a>
                    </li>
                }
                <li class="nav-item">
                    <a href="javascript:document.getElementById('logoutForm').submit()" class="btn btn-rose btn-raised btn-round">Log off</a>
                </li>
            </ul>
        </div>
    }
}
else
{
    <div class="collapse navbar-collapse">
        <ul class="navbar-nav ml-auto">
            <li class="nav-item">
                @(Html.ActionLink("Sign In", "Login", "Tenant", new { area= "Tenant"}, new { @class = "btn btn-rose btn-raised btn-round" }))
            </li>
        </ul>
    </div>

}

EM.Presentation/Areas/Tenant/Views/Shared/_Tenant.cshtml
@using Microsoft.AspNet.Identity
<!doctype html>
<html lang="en">
<head>
    <title>Hello, world!</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <!--     Fonts and icons     -->
    <link rel="stylesheet" type="text/css" href="@Url.Content("~/Content/Backend/Login/css/google-fonts.css")" />
    <link rel="stylesheet" href="@Url.Content("~/Content/Backend/Login/css/font-awesome.css")">
    <!-- Material Kit CSS -->
    <link href="@Url.Content("~/Content/Backend/Dashboard/css/material-dashboard.css")" rel="stylesheet" />
</head>
<body>
    <div class="wrapper ">
        <div class="sidebar" data-color="purple" data-background-color="white">
            <!--
                Tip 1: You can change the color of the sidebar using: data-color="purple | azure | green | orange | danger"

                Tip 2: you can also add an image using data-image tag
            -->
            <div class="logo">
                <a href="http://www.creative-tim.com" class="simple-text logo-mini">
                    CT
                </a>
                <a href="http://www.creative-tim.com" class="simple-text logo-normal">
                    Creative Tim
                </a>
            </div>
            <div class="sidebar-wrapper">
                <ul class="nav">
                    <li class="nav-item @RenderSection("active_dashboard",required: false)">
                        <a class="nav-link" href="@Url.Action("Index","Tenant", new { area = "Tenant" })">
                            <i class="material-icons">dashboard</i>
                            <p>Dashboard</p>
                        </a>
                    </li>
                    <li class="nav-item @RenderSection("active_myprofile",required: false)">
                        <a class="nav-link" href="@Url.Action("UserProfile","Tenant", new { area = "Tenant" })">
                            <i class="material-icons">person</i>
                            <p>My Profile</p>
                        </a>
                    </li>
                    <li class="nav-item @RenderSection("active_event",required: false)">
                        <a class="nav-link" href="@Url.Action("Create","Evenement", new { area = "Tenant" })">
                            <i class="material-icons">event</i>
                            <p>Events</p>
                        </a>
                    </li>
                    <li class="nav-item @RenderSection("active_tasks",required: false)">
                        <a class="nav-link" href="@Url.Action("Create","Tasks", new { area = "Tenant" })">
                            <i class="material-icons">assignment_ind</i>
                            <p>Tasks</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="@Url.Action("Index","DashboardBack", new { area = "" })">
                            <i class="material-icons">insert_charts_outlined</i>
                            <p>Statistics</p>
                        </a>
                    </li>
                    <!-- your sidebar here -->
                </ul>
            </div>
        </div>
        <div class="main-panel">
            <!-- Navbar -->
            <nav class="navbar navbar-expand-lg navbar-transparent navbar-absolute fixed-top ">
                <div class="container-fluid">
                    <div class="navbar-wrapper">
                        <a class="navbar-brand">@RenderSection("page",required: true)</a>
                    </div>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" aria-controls="navigation-index" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="navbar-toggler-icon icon-bar"></span>
                        <span class="navbar-toggler-icon icon-bar"></span>
                        <span class="navbar-toggler-icon icon-bar"></span>
                    </button>
                    <div class="collapse navbar-collapse justify-content-end">
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a class="nav-link" href="@Url.Action("Home","Home", new { area =""})">
                                    <i class="material-icons">home</i>
                                </a>
                            </li>
                            
                            @using (Html.BeginForm("LogOff", "Tenant", new { area = "Tenant" } , FormMethod.Post, new { id = "logoutForm"}))
                            {
                            @Html.AntiForgeryToken()
                            <li class="nav-item dropdown">                               
                                <a class="nav-link" id="navbarDropdownProfile" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    @User.Identity.GetUserName() <i class="material-icons">person</i> 
                                </a>
                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownProfile">
                                    <a class="dropdown-item" href="@Url.Action("UserProfile","Tenant",new { area ="Tenant"})">Profile</a>
                                    <a class="dropdown-item" href="#">Settings</a>
                                    <div class="dropdown-divider"></div>
                                    <a class="dropdown-item" href="javascript:document.getElementById('logoutForm').submit()">Log out</a>
                                </div>
                                
                            </li>
                            }
                            <!-- your navbar here -->
                        </ul>
                    </div>
                </div>
            </nav>
            <!-- End Navbar -->
            <div class="content">
                <div class="container-fluid">
                    @RenderBody()
                    <!-- your content here -->
                </div>
            </div>
            <footer class="footer">
                <div class="container-fluid">
                    <nav class="float-left">
                        <ul>
                            <!---- NAV LEFT-->
                        </ul>
                    </nav>
                    <div class="copyright float-right">
                        &copy; ACloud Guru 
                    <!-- your footer here -->
                </div>
            </footer>
        </div>
    </div>   
    <script src="@Url.Content("~/Content/Backend/Dashboard/js/core/jquery.min.js")">
        $(function () {                       //run when the DOM is ready
            $(".nav-item").click(function () {  //use a class, since your ID gets mangled
                $(this).addClass("active");      //add the class to the clicked element
            });
        });
    </script>

    <!--   Core JS Files   -->
    <script src="@Url.Content("~/Content/Backend/Dashboard/js/core/jquery.min.js")"></script>
    <script src="@Url.Content("~/Content/Backend/Dashboard/js/core/popper.min.js")"></script>
    <script src="@Url.Content("~/Content/Backend/Dashboard/js/core/bootstrap-material-design.min.js")"></script>
    <script src="@Url.Content("~/Content/Backend/Dashboard/js/plugins/perfect-scrollbar.jquery.min.js")"></script>
    @RenderSection("scripts", required: false)


</body>
</html>